<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] = (@$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] ?: array()) + array("_a056f0cf0cdc369" . "9505cc5ff22b5e7a" . "c" => base64_decode("SW52YWxpZCAnZnJvbScgcGFyYW1ldGVyLiBTaG91bGQgYmUgZWl0aGVyICd" . "kYicgb3IgJ2ZpbGVzJw=="), "_00f2055c7cbd408ef56949f35c62b" . "721" => base64_decode("Zm" . "ls" . "ZX" . "M="), "_9342063570b40df20752" . "04394b59df59" => base64_decode("Z2V0Y3" . "dk"), "d" . "b" => base64_decode("ZG" . "I="), "_11def3af2a8" . "33468dd0e4ff" . "1f0bc5414" => base64_decode("Li4vY29yZS9ib290c3RyYXAuc" . "Ghw"), "_e13e80e20d331fa" . "ce5f56ce9d9be42c" . "d" => base64_decode("cmVzdG9yZV9lcnJvcl9oYW5k" . "bGVy"), "_dcf86ccc31af7f63af36115aa12b1e" . "e7" => base64_decode("Y2hka" . "XI="), "_e4db503f811792b891b982e0c" . "ad39ac4" => base64_decode("Ly4uLy4uLy4uL2NvbW1vb" . "i9jb3JlX3BocC5waHA="), "_7618fa2e44dd7c2de26ed1413b53c" . "ddd" => base64_decode("Ly4uLy4uLy4uL3Nl" . "dHVw"));
require_once __DIR__ . $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_e4db503f811792" . "b891b982e0cad39" . "ac4"];
use Claromentis\Setup\Util;






class ReadVersionTask extends Task
{
    
    
    
    
    protected $application;
    
    
    
    
    protected $from;
    
    
    
    
    protected $property;
    public function main()
    {
        $_33cd0a6efc4dc46179519f04eaa36255 = $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_9342063570b40df2075204394b5" . "9df59"]();
        $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_dcf86ccc31af7f6" . "3af36115aa12b1ee" . "7"](__DIR__ . $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_7618fa2e4" . "4dd7c2de26" . "ed1413b53c" . "ddd"]);
        require_once $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_11def3af2a833468d" . "d0e4ff1f0bc5414"];
        $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_e13e80e20d331face5f56ce" . "9d9be42cd"]();
        global $g_application;
        try {
            if ($this->from == $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["d" . "b"]) {
                $_d3a4df576cec8d467e29e06a95ac4009 = new \Claromentis\Setup\Db\Migrations\PersistenceDatabase($this->application, $g_application->db);
                $result = $_d3a4df576cec8d467e29e06a95ac4009->GetVersion();
            } elseif ($this->from == $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_00f2055c7cbd408ef56949f35c" . "62b721"]) {
                $_4825e032d19ebe3edee32a6a54c7afd2 = Util::GetApplicationPath($this->application, $g_application, $this->project);
                $_c6a2115f762b2695bf8d81d19df793de = new \Claromentis\Setup\VersionFile($this->application, $_4825e032d19ebe3edee32a6a54c7afd2);
                $result = $_c6a2115f762b2695bf8d81d19df793de->GetVersionCode();
            } else {
                throw new Exception($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_a056f0cf0cd" . "c3699505cc5f" . "f22b5e7ac"]);
            }
        } catch (Exception $e) {
            $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_dcf86ccc31af" . "7f63af36115aa" . "12b1ee7"]($_33cd0a6efc4dc46179519f04eaa36255);
            $this->log($e->getMessage(), Project::MSG_ERR);
            throw new BuildException($e->getMessage());
        }
        $this->project->setProperty($this->property, $result);
        $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_dcf86ccc31af7f" . "63af36115aa12b1" . "ee7"]($_33cd0a6efc4dc46179519f04eaa36255);
    }
    
    
    
    
    
    
    public function setApplication($_f44467aacb8a4520c7382769d24aa422)
    {
        $this->application = $_f44467aacb8a4520c7382769d24aa422;
    }
    
    
    
    
    
    
    public function setFrom($from)
    {
        $this->from = $from;
    }
    
    
    
    
    
    
    public function setProperty($_c241f11ec2591cc626823468234ffaf4)
    {
        $this->property = $_c241f11ec2591cc626823468234ffaf4;
    }
}